Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001606TestLinkRequirement Managementpublic2008-07-09 16:452013-05-20 19:53
Reportermalvianna 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.3 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0001606: RequirementBased report: Requirement is presnted in inaccurate status Blocked
DescriptionTest environment: Testlink 1.7 and Testlink 1.7.3 (http://testlink.org/demo/index.php [^])

Steps to reproduce:

1. Created requirement and generate 2 test cases
2. Assign the test cases to a test plan
3. Execute test case1 - set status "Pass"
4. Do not execute test case 2
4. Open Requirement based report

Observed: The requirement status is Failed -see attached screenshot

Expected: According to User Manual for TestLink version 1.7, the Requirement overall status depends of the result of executing test case with highest priority.
Priority from the highest are: Failed, Blocked, Not Run and Passed.


This mean that my requirement should have status "Not Run".
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon Screenshot.JPG [^] (155,799 bytes) 2008-07-09 16:45

- Relationships

-  Notes
(0003774)
fman (administrator)
2008-07-09 17:55

Firts suggestion: update to 1.7.4 and retest
(0004002)
malvianna (reporter)
2008-08-22 22:08
edited on: 2008-08-22 22:10

I updated to Testlink 1.7.4 and performed the described scenario.
Issue still appears - Requirement is presented with invalid status "Failed".

This shall be fixed.

(0006876)
mhavlat (reporter)
2009-05-14 09:23

Yes it must be fixed.
Could somebody retest with 1.8?
(0007841)
Julian (reporter)
2009-08-27 15:44

maybe related to this bug: 0002817

- Issue History
Date Modified Username Field Change
2008-07-09 16:45 malvianna New Issue
2008-07-09 16:45 malvianna File Added: Screenshot.JPG
2008-07-09 16:45 malvianna Browser => Firefox
2008-07-09 17:55 fman Note Added: 0003774
2008-07-15 16:17 mhavlat Category Requirements Coverage => Requirement Management
2008-08-22 22:08 malvianna Note Added: 0004002
2008-08-22 22:10 malvianna Note Edited: 0004002
2009-05-14 09:23 mhavlat Note Added: 0006876
2009-05-14 09:23 mhavlat Severity minor => major
2009-08-27 15:44 Julian Note Added: 0007841
2013-05-20 19:53 fman QA Team - Task Workflow Status => TBD
2013-05-20 19:53 fman Status new => closed
2013-05-20 19:53 fman Assigned To => fman
2013-05-20 19:53 fman Resolution open => fixed
2013-05-20 19:53 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker